      REAL FUNCTION DDE(XDUMMY)
C
C     Filename:  DDE.FOR
C
C     Calculation of energy-loss in detector D (DDE) in MeV
C     by ADC channel number (DPHA) and amplifier channel
C     (DCHN=0 -> low channel/high amplification,
C      DCHN=1 -> high channel/low amplification)
C
C     H. Sierks, University of Kiel, 08 Nov 1994
C
      REAL
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
      COMMON/PAWIDN/IDNEVT,VIDN1,VIDN2,VIDN3,VIDN(10),
     +ID      ,
     +IND     ,DEPTH   ,COINC   ,ASEG    ,BSEG    ,APHA    ,
     +ACHN    ,BPHA    ,BCHN    ,CPHA    ,CCHN    ,DPHA    ,
     +DCHN    ,EPHA    ,ECHN     
*
      if (dchn.eq.0.) then
        dde=20.0*dpha/1023.
      else
        dde=225.0*dpha/1023.
      endif

      END
